# $Id: xmule.spec,v 1.15 2003/08/29 16:22:08 dude Exp $

%{?_with_unstable:%define version 1.5.6a}
%{!?_with_unstable:%define version 1.6.1}

Summary: Easy to use client for ED2K Peer-to-Peer Network based on eMule.
Name: xmule
Version: %{version}
Release: 6.fr
License: GPL
Group: Applications/Internet
Source: http://prdownloads.sourceforge.net/xmule/%{name}-%{version}.tar.bz2
URL: http://www.xmule.org/
BuildRoot: %{_tmppath}/%{name}-root
# There is a wrong automatic dep on the wxGTK lib with Red Hat Linux 9
AutoReq: no
Requires: wxGTK
BuildRequires: wxGTK-devel
Obsoletes: lmule <= 1.2.1

%description
xMule is an easy to use multi-platform client for ED2K Peer-to-Peer Network.
It is originally based on eMule, the popular windows-only client for the
same network.

Available rpmbuild rebuild options :
--with : unstable

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Mon Oct 13 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update stable to 1.6.1.

* Fri Aug 29 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update stable to 1.6.0a.

* Mon Aug 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update stable to 1.4.3.

* Sun Aug  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update unstable to 1.5.6a.

* Tue Jul 22 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update stable to 1.4.2.

* Fri Jul 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update unstable to 1.5.5.

* Sun Jul  6 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update unstable to 1.5.4.

* Wed Jul  2 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update unstable to 1.5.3.

* Wed Jun 25 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.4.1a.

* Sun Jun 22 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added --with unstable build option to enable 1.5.x branch.

* Fri Jun 20 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.4.1.

* Wed May 28 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Renamed from lmule to xmule.
- Update to 1.4.

* Wed May 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.1.

* Wed Apr 23 2003 Stphane Petit <stephane@petit-fr.net>
- Update to 1.2.0.1.
- Remove no more needed --with-wx-prefix= on configure.
- Remove NEWS file in doc.

* Wed Apr  2 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix the automatic dep problem on the wxGTK lib.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.13c.
- Rebuilt for Red Hat Linux 9.

* Sun Mar 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

